#!/bin/sh

export NES_INCLUDE="../nes_include"

echo "MAKE NSF"
if [ ! -e "effect.h" ]
then
	echo "make effect.h"
	../bin/ppmckc_e.exe -i $1.mml
fi
if [ ! -e "effect.h" ]
then
		exit;
fi

if [ ! -e "ppmck.nes" ]
then
	echo "make ppmck.nes"
	../bin/nesasm.exe -s -raw ppmck.asm
fi
if [ ! -e "ppmck.nes" ]
then
	exit;
fi

if [ -e "$1.nsf" ]
then
	rm $1.nsf
fi

echo "make $1.nsf"
mv ppmck.nes $1.nsf
